<?php
/**
 *
 * @author      Thomas Goebe (goebe@twin-systems.de)
 *
 * @param	$attribs array
 *
 * @return	boolean
 */
function we_tag_ifImgSize($attribs=array(), $content='') {  
  $type = we_getTagAttribute("type", $attribs, 'landscape');
  $id = we_getTagAttribute("id", $attribs, 0);
  
  // generate Target Factor
  $formatfactor = explode($type, 'x');
  if (($formatfactor !== false) && (count($formatfactor) == 2)) {
  	$target_factor = $formatfactor[0] / $formatfactor[1];
  } else {
  	$target_factor = 1;
  }
  
  $result = false;
  
  $path = $_SERVER['DOCUMENT_ROOT'].we_tag('url', array('id'=>$id));
  $size = getimagesize($path);

  if ($size[0] > $size[1]) {
    $imgformat = "landscape";
  } else {
    $imgformat = "portrait";
  }

  $imgfactor = $size[0] / $size[1];

  switch ($type) {
    case "landscape": $result = ($imgformat == "landscape"); break;
    case "portrait": $result = ($imgformat == "portrait"); break;
    default: $result = ($target_factor == $imgfactor); break;
  }
  
  return $result;
}
?>